# Tests for ob_plat_is_concerned()
#
# Copyright (C) 2012, 2014, 2018 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"

plan_ 12

# Platform: all

command_ok_ \
	'HOST "dev" DOES NOT MATCH PLAT "all"' -- \
	not ob_plat_is_concerned \
	'dev' \
	'all'

command_ok_ \
	'HOST "ao751h" DOES NOT MATCH PLAT "all"' -- \
	not ob_plat_is_concerned \
	'ao751h' \
	'all'

command_ok_ \
	'HOST "all" DOES MATCH PLAT "all"' -- \
	ob_plat_is_concerned \
	'all' \
	'all'

# Platform: any

command_ok_ \
	'HOST "dev" DOES MATCH PLAT "any"' -- \
	ob_plat_is_concerned \
	'dev' \
	'any'

command_ok_ \
	'HOST "ao751h" DOES MATCH PLAT "any"' -- \
	ob_plat_is_concerned \
	'ao751h' \
	'any'

command_ok_ \
	'HOST "all" DOES NOT MATCH PLAT "any"' -- \
	not ob_plat_is_concerned \
	'all' \
	'any'

# Platform: dev

command_ok_ \
	'HOST "dev" DOES MATCH PLAT "dev"' -- \
	ob_plat_is_concerned \
	'dev' \
	'dev'

command_ok_ \
	'HOST "ao751h" DOES NOT MATCH PLAT "dev"' -- \
	not ob_plat_is_concerned \
	'ao751h' \
	'dev'

command_ok_ \
	'HOST "all" DOES NOT MATCH PLAT "dev"' -- \
	not ob_plat_is_concerned \
	'all' \
	'dev'

# Platform: !dev

command_ok_ \
	'HOST "dev" DOES NOT MATCH PLAT "!dev"' -- \
	not ob_plat_is_concerned \
	'dev' \
	'!dev'

command_ok_ \
	'HOST "ao751h" DOES MATCH PLAT "!dev"' -- \
	ob_plat_is_concerned \
	'ao751h' \
	'!dev'

command_ok_ \
	'HOST "all" DOES NOT MATCH PLAT "!dev"' -- \
	not ob_plat_is_concerned \
	'all' \
	'!dev'
